CopyPath (Apache Ant API)
Date: 2018-09-12

Package org.apache.tools.ant.taskdefs

## Class CopyPath

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.CopyPath

- All Implemented Interfaces:
    `java.lang.Cloneable`

      @Deprecated
      public class CopyPath
      extends Task

  Deprecated.
  this task should have never been released and was obsoleted by ResourceCollection support in Copy available since Ant 1.7.0. Don't use it.
  Copy the contents of a path to a destination, using the mapper of choice
  Since:
    Ant 1.7.0

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ERROR_NO_DESTDIR` | Deprecated. No destdir attribute
    `static java.lang.String` | `ERROR_NO_MAPPER` | Deprecated. No mapper
    `static java.lang.String` | `ERROR_NO_PATH` | Deprecated. No path

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CopyPath()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(FileNameMapper newmapper)` | Deprecated. add a mapper
    `Path` | `createPath()` | Deprecated. Create a path.
    `void` | `execute()` | Deprecated. This is a very minimal derivative of the normal copy logic.
    `void` | `setDestDir​(java.io.File destDir)` | Deprecated. The dest dir attribute.
    `void` | `setGranularity​(long granularity)` | Deprecated. Set the number of milliseconds leeway to give before deciding a target is out of date.
    `void` | `setPath​(Path s)` | Deprecated. Set the path to be used when running the Java class.
    `void` | `setPathRef​(Reference r)` | Deprecated. Set the path to use by reference.
    `void` | `setPreserveLastModified​(boolean preserveLastModified)` | Deprecated. Give the copied files the same last modified time as the original files.
    `protected void` | `validateAttributes()` | Deprecated. Ensure we have a consistent and legal set of attributes, and set any internal flags necessary based on different combinations of attributes.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

- - ### Field Detail

    - #### ERROR_NO_DESTDIR

          public static final java.lang.String ERROR_NO_DESTDIR

      Deprecated.
      No destdir attribute
      See Also:
        Constant Field Values

    - #### ERROR_NO_PATH

          public static final java.lang.String ERROR_NO_PATH

      Deprecated.
      No path
      See Also:
        Constant Field Values

    - #### ERROR_NO_MAPPER

          public static final java.lang.String ERROR_NO_MAPPER

      Deprecated.
      No mapper
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CopyPath

          public CopyPath()

      Deprecated.

  - ### Method Detail

    - #### setDestDir

          public void setDestDir​(java.io.File destDir)

      Deprecated.
      The dest dir attribute.
      Parameters:
        `destDir` - the value of the destdir attribute.

    - #### add

          public void add​(FileNameMapper newmapper)

      Deprecated.
      add a mapper
      Parameters:
        `newmapper` - the mapper to add.

    - #### setPath

          public void setPath​(Path s)

      Deprecated.
      Set the path to be used when running the Java class.
      Parameters:
        `s` - an Ant Path object containing the path.

    - #### setPathRef

          public void setPathRef​(Reference r)

      Deprecated.
      Set the path to use by reference.
      Parameters:
        `r` - a reference to an existing path.

    - #### createPath

          public Path createPath()

      Deprecated.
      Create a path.
      Returns:
        a path to be configured.

    - #### setGranularity

          public void setGranularity​(long granularity)

      Deprecated.
      Set the number of milliseconds leeway to give before deciding a target is out of date. TODO: This is not yet used.
      Parameters:
        `granularity` - the granularity used to decide if a target is out of date.

    - #### setPreserveLastModified

          public void setPreserveLastModified​(boolean preserveLastModified)

      Deprecated.
      Give the copied files the same last modified time as the original files.
      Parameters:
        `preserveLastModified` - if true preserve the modified time; default is false.

    - #### validateAttributes

          protected void validateAttributes()
                                     throws BuildException

      Deprecated.
      Ensure we have a consistent and legal set of attributes, and set any internal flags necessary based on different combinations of attributes.
      Throws:
        `BuildException` - if an error occurs.

    - #### execute

          public void execute()
                       throws BuildException

      Deprecated.
      This is a very minimal derivative of the normal copy logic.
      Overrides:
        `execute` in class `Task`
      Throws:
        `BuildException` - if something goes wrong with the build.